{% extends 'pages/calendar-year.html.twig' %}
{% block body3 %}
<style>
    .moishead{
        width:80px;
        height:80px;
        font-size:30px;
    }

    .moisbody{
        width:80px;
        height:80px;
        font-size:25px;
    }
</style>

<div class="row m-1">
    <div class="col-7 m-1 p-2">
    <form action="{{ path('calendar-day') }}" method="post">
    <table class="border border-dark" style='border-collapse: separate;'>
        <thead>
            {# Lignes #}
            <tr> 
                {# Colonnes #}
                <th class="text-center border border-secondary moishead">lun</th>
                <th class="text-center border border-secondary moishead">mar</th>
                <th class="text-center border border-secondary moishead">mer</th>
                <th class="text-center border border-secondary moishead">jeu</th>
                <th class="text-center border border-secondary moishead">ven</th>
                <th class="text-center border border-secondary moishead">sam</th>
                <th class="text-center border border-secondary moishead">dim</th>
            </tr>
        </thead>
        <tbody>
            {# Liste des Jours avec leurs info #}
            {% set m = 5 %}
            {% for k in range(1, m) %}
                {# Set les lignes #}
                <tr>
                    {% if loop.index == 1 %}
                            {% if listeJours|first.nomJour == jours.0 %}
                            {% set m = 7 %}
                            {% for j in range(1, m) %}
                                <th class="text-center moisbody"><input class="btn btn-light moisbody" name="jours" type="submit" value="{{loop.index}}"></th>
                            {% endfor %}
                            {% set ligne1 = 8 %}
                        {% elseif listeJours|first.nomJour == jours.1 %}
                            <th class="text-center moisbody"></th>
                            {% set m = 6 %}
                            {% for j in range(1, m) %}
                                <th class="text-center moisbody"><input class="btn btn-light moisbody" name="jours" type="submit" value="{{loop.index}}"></th>
                            {% endfor %}
                            {% set ligne1 = 7 %}
                        {% elseif listeJours|first.nomJour == jours.2 %}
                            {% set m = 2 %}
                            {% for l in range(1, m) %}
                                <th class="text-center moisbody"></th>
                            {% endfor %}
                            {% set i = 5 %}
                            {% for j in range(1, i) %}
                                <th class="text-center moisbody"><input class="btn btn-light moisbody" name="jours" type="submit" value="{{loop.index}}"></th>
                            {% endfor %}
                            {% set ligne1 = 6 %}
                        {% elseif listeJours|first.nomJour == jours.3 %}
                            {% set m = 3 %}
                            {% for l in range(1, m) %}
                                <th class="text-center moisbody"></th>
                            {% endfor %}
                            {% set i = 4 %}
                            {% for j in range(1, i) %}
                                <th class="text-center moisbody"><input class="btn btn-light moisbody" name="jours" type="submit" value="{{loop.index}}"></th>
                            {% endfor %}
                            {% set ligne1 = 5 %}
                        {% elseif listeJours|first.nomJour == jours.4 %}
                            {% set m = 4 %}
                            {% for l in range(1, m) %}
                                <th class="text-center moisbody"></th>
                            {% endfor %}
                            {% set i = 3 %}
                            {% for j in range(1, i) %}
                                <th class="text-center moisbody"><input class="btn btn-light moisbody" name="jours" type="submit" value="{{loop.index}}"></th>
                            {% endfor %}
                            {% set ligne1 = 4 %}
                        {% elseif listeJours|first.nomJour == jours.5 %}
                            {% set m = 5 %}
                            {% for l in range(1, m) %}
                                <th class="text-center moisbody"></th>
                            {% endfor %}
                            {% set i = 2 %}
                            {% for j in range(1, i) %}
                                <th class="text-center moisbody"><input class="btn btn-light moisbody" name="jours" type="submit" value="{{loop.index}}"></th>
                            {% endfor %}
                            {% set ligne1 = 3 %}
                        {% elseif listeJours|first.nomJour == jours.6 %}
                            {% set m = 6 %}
                            {% for l in range(1, m) %}
                                <th class="text-center moisbody"></th>
                            {% endfor %}
                            <th><input class="btn btn-light moisbody" name="jours" type="submit" value="{{listeJours.0.numJour}}"></th>
                            {% set ligne1 = 2 %}
                        {% endif %}
                    {% else %}
                        {% for j in jours %}
                            <th class="text-center moisbody">
                            {% if ligne1 <= listeJours|last.numJour %}
                                <input class="btn btn-light moisbody" name="jours" type="submit" value="{{ligne1}}">
                                {% set ligne1 = ligne1 + 1 %}
                            {% endif %}
                            </th>
                        {% endfor %}
                    {% endif %}
                </tr>
            {% endfor %}
        </tbody>
    </table>
    </form>
    </div>
    <div class="col-4 well m-1">
        {% block body4 %}
        {% endblock %}
    </div>
</div>
{% endblock %}